from AirQualityData import AirQualityData

def terminal_mode():
    city_list = {"1": "tehran", "2": "varamin", "3": "mashhad", "4": "esfahan", "5": "shiraz",
                 "6": "tabriz", "7": "karaj", "8": "rasht", "9": "ahvaz", "10": "bushehr"}
    print("City List: (📌 لیست شهرها)")
    for key, city in city_list.items():
        print(f"{key}. {city.capitalize()}")
    city_choice = input("Enter city number or city: (🔹 شماره شهر را وارد کنید) : ")
    city = city_list.get(city_choice, "tehran")
    aq = AirQualityData(city)

    while True:
        print("\nChoose an option: (✅ انتخاب کنید) : ")
        print("1. Get full information (دریافت اطلاعات کامل)")
        print("2. Get AQI (دریافت AQI)")
        print("3. Get temperature (دریافت دما)")
        print("4. Get humidity (دریافت رطوبت)")
        print("5. Audio output (خروجی صوتی)")
        print("6. Change city (تغییر شهر)")
        print("0. Exit (خروج)")

        choice = input("Enter option: (🔹 گزینه را وارد کنید:) ")
        if choice == "1":
            aq.p("full")
        elif choice == "2":
            aq.p("aqi")
        elif choice == "3":
            aq.p("temperature")
        elif choice == "4":
            aq.p("humidity")
        elif choice == "5":
            aq.speak_info()
        elif choice == "6":
            return terminal_mode()
        elif choice == "0":
            print("Goodbye! (👋 خداحافظ!)")
            break
        else:
            print("Invalid option. Try again. (❌ گزینه نامعتبر. دوباره امتحان کنید.)")




